WSLU(7)

NAME
wslu - a collection of utilities for Windows 10 Linux Subsystem

DESCRIPTION
This is a collection of utilities for Windows 10 Linux Subsystem, such as enabling sound in WSL or creating your favorite linux app shortcuts on Windows 10 Desktop. Requires Windows 10 Creators Update and higher. Some features require Windows 10 May 2019 Update or later.

AVAILABLE COMMANDS
wslusc, wslsys, wslfetch, wslvar, wslview(wview/wslstart/wstart), wslupath(deprecated), wslact

check each manpage to see the detailed usage.

SUPPORTED DISTRIBUTION
- Debian GNU/Linux
- Kali Linux
- OpenSUSE Leap 42, 12.0 and 15.0
- SUSE Linux Enterprise Server 12 and 15
- Ubuntu Latest, 16.04 LTS, 18.04 LTS and 20.04 LTS
- Pengwin(Formerly WLinux)

  Community Supported Distro
- Arch Linux via ArchWSL <https://github.com/yuk7/ArchWSL>
- Alpine Linux via AlpineWSL <https://github.com/yuk7/AlpineWSL> or Alpine WSL <https://www.microsoft.com/store/productId/9P804CRF0395>
- Scientific Linux, Oracle Linux* or RedHat Enterprise Linux** via Pengwin Enterprise (Formerly WLinux Enterprise)
- Fedora via Fedora Remix for WSL

*: Will support in the future.
**: you need to request to using RHEL from Pengwin team and have a license of RHEL of your own.

> Legacy Ubuntu is no longer supported.

OPTIONS
All WSL Utilities command shared a common header. the following option are available to all commands.

--debug
    Entering debug mode.

--verbose
    Entering verbose mode.

EXIT STATUS

1   general error/unknown error.

20  input is empty or invalid.

21  input is empty.

22  input is invalid.

30  file do not exist.

31  folder do not exist.

32  feature not implemented.

33  required component do not exist.

34  unsupported feature (for a distro)

40  Unknown system input.

BUG
Report bugs to <https://github.com/wslutilities/wslu/issues>; For Ubuntu specific/related bugs, report to <https://bugs.launchpad.net/ubuntu/+source/wslu>.

COPYRIGHT
This is free software; you can redistribute it and/or modify it under the terms of the GNU GPL version 3 or (at your option) any later version. There is NO warranty; not even MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Logo of WSL Utilities and wslusc icons is licensed under CC BY 4.0 International License.

For third-party license, please refer to <https://wslutiliti.es/wslu/licenses.html>.